#import "AppDelegate.h"

@implementation AppDelegate

- (void)awakeFromNib;
{
    NSString *moviePath = [[NSBundle mainBundle] pathForResource:@"creme" ofType:@"mov"];
    QTMovie *movie = [QTMovie movieWithFile:moviePath error:nil];
    OpenGLMovieLayer *layer = [[OpenGLMovieLayer alloc] initWithMovie:movie];
    [layer setFrame:NSRectToCGRect([[window contentView] bounds])];
    
    [[window contentView] setWantsLayer:YES];
    [[[window contentView] layer] addSublayer:layer];
    [[layer movie] play];
}

@end
